Linux-2.6.30.9 build failure

Bruce Dubbs bruce.dubbs at gmail.com
Wed Dec 2 14:44:13 PST 2009


Mykal Funk wrote:
> I am trying to upgrade an LFS 5 system so that I can build an updated 
> LFS 6.5 system. However the compile fails with this output.
> 
> MODPOST vmlinux.o
> WARNING: modpost: Found 5 section mismatch(es).
> To see full details build you kernel with:
> 'make CONFIG_DEBUG_SECTION_MISMATCH=y'
> GEN     .version
> CHK     include/linux/compile.h
> dnsdomainname: Host name lookup failure
> UPD     include/linux/compile.h
> CC      init/version.o
> LD      int/built-in.o
> LD      .tmp_vmlinux1
> ld:arch/x86/kernel/vmlinux.lds:473: parse error
> make: *** [.tmp_vmlinux1] Error 1
> 
> Current kernel is linux-2.4.22-openmosix-2, if that helps. I've googled 
> around and haven't found anything. I can't get this kernel to compile 
> and I'm not sure why.

It's been a long time since I head of anyone still using 2.4.x.

When LFS first transitioned to the 2.6.x kernels, we didn't have a way 
to build it other than to load a commercial distro and build from there. 
  Of course someone did the first build to 2.6, but that was back in 
2003.  We don't have a build path for 2.4.x->2.6.x and we now specify at 
least 2.6.18.

I'd recommend getting ubuntu, fedora, suse, or another commercial distro 
and load that.  From there, you can build LFS-6.5 or LFS-dev.

   -- Bruce



More information about the lfs-support mailing list